%global packname  fs
%global rlibdir  %{_libdir}/R/library

Name:             R-%{packname}
Version:          1.2.6
Release:          1%{?dist}
Summary:          Cross-Platform File System Operations Based on 'libuv'

License:          GPLv3
URL:              https://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz
Patch0001:        0001-Use-system-libuv.patch

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-methods, R-Rcpp
# Suggests:  R-testthat, R-covr, R-pillar >= 1.0.0, R-crayon, R-withr
# LinkingTo:
# Enhances:

Requires:         R-methods
Requires:         R-Rcpp
Suggests:         R-testthat
Suggests:         R-pillar >= 1.0.0
Suggests:         R-crayon
Suggests:         R-withr
BuildRequires:    pkgconfig(libuv) >= 1.18.0
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-methods
BuildRequires:    R-Rcpp-devel
BuildRequires:    R-testthat
BuildRequires:    R-pillar >= 1.0.0
BuildRequires:    R-crayon
BuildRequires:    R-withr

%description
A cross-platform interface to file system operations, built on top of the
'libuv' C library.


%prep
%setup -q -c -n %{packname}

pushd %{packname}
# Remove bundled libuv.
%patch0001 -p1
rm -rf src/libuv
sed -i -e '/libuv/d' MD5

# Don't need coverage; it's not packaged either.
sed -i 's/, covr//g' DESCRIPTION
popd


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
export LANG=C.UTF-8
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%license %{rlibdir}/%{packname}/COPYRIGHTS
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/WORDLIST
%dir %{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/libs/%{packname}.so


%changelog
* Sat Sep 22 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.2.6-1
- initial package for Fedora
